Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.0.0.0/1
Usable hosts2,147,483,646
Subnet mask128.0.0.0
Addresses2,147,483,648
Network address
128.0.0.0
Broadcast address
255.255.255.255
First usable
128.0.0.1
Last usable
255.255.255.254
Usable hosts
2,147,483,646 (2,147,483,648 less the network and broadcast addresses)
Subnet mask
128.0.0.0
Wildcard mask
127.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/1
Type
Public public
Old class
B (default /16)
As numbers
Hex 80000000 · Integer 2147483648 to 4294967295
Reverse DNS zones
128.in-addr.arpa
129.in-addr.arpa
130.in-addr.arpa
131.in-addr.arpa
132.in-addr.arpa
133.in-addr.arpa
134.in-addr.arpa
135.in-addr.arpa
136.in-addr.arpa
137.in-addr.arpa
138.in-addr.arpa
139.in-addr.arpa
140.in-addr.arpa
141.in-addr.arpa
142.in-addr.arpa
143.in-addr.arpa
and 112 more
/1 is not on a 8-bit boundary, so it takes 128 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.00000000.00000000.00000000128.0.0.0
Subnet mask10000000.00000000.00000000.00000000128.0.0.0
Network10000000.00000000.00000000.00000000128.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/11

128.0.0.0/1 makes 1,024 subnets of /11; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.0.0.0/11128.0.0.1 to 128.31.255.254128.31.255.2552,097,150
2128.32.0.0/11128.32.0.1 to 128.63.255.254128.63.255.2552,097,150
3128.64.0.0/11128.64.0.1 to 128.95.255.254128.95.255.2552,097,150
4128.96.0.0/11128.96.0.1 to 128.127.255.254128.127.255.2552,097,150
5128.128.0.0/11128.128.0.1 to 128.159.255.254128.159.255.2552,097,150
6128.160.0.0/11128.160.0.1 to 128.191.255.254128.191.255.2552,097,150
7128.192.0.0/11128.192.0.1 to 128.223.255.254128.223.255.2552,097,150
8128.224.0.0/11128.224.0.1 to 128.255.255.254128.255.255.2552,097,150
9129.0.0.0/11129.0.0.1 to 129.31.255.254129.31.255.2552,097,150
10129.32.0.0/11129.32.0.1 to 129.63.255.254129.63.255.2552,097,150
11129.64.0.0/11129.64.0.1 to 129.95.255.254129.95.255.2552,097,150
12129.96.0.0/11129.96.0.1 to 129.127.255.254129.127.255.2552,097,150
13129.128.0.0/11129.128.0.1 to 129.159.255.254129.159.255.2552,097,150
14129.160.0.0/11129.160.0.1 to 129.191.255.254129.191.255.2552,097,150
15129.192.0.0/11129.192.0.1 to 129.223.255.254129.223.255.2552,097,150
16129.224.0.0/11129.224.0.1 to 129.255.255.254129.255.255.2552,097,150
17130.0.0.0/11130.0.0.1 to 130.31.255.254130.31.255.2552,097,150
18130.32.0.0/11130.32.0.1 to 130.63.255.254130.63.255.2552,097,150
19130.64.0.0/11130.64.0.1 to 130.95.255.254130.95.255.2552,097,150
20130.96.0.0/11130.96.0.1 to 130.127.255.254130.127.255.2552,097,150
21130.128.0.0/11130.128.0.1 to 130.159.255.254130.159.255.2552,097,150
22130.160.0.0/11130.160.0.1 to 130.191.255.254130.191.255.2552,097,150
23130.192.0.0/11130.192.0.1 to 130.223.255.254130.223.255.2552,097,150
24130.224.0.0/11130.224.0.1 to 130.255.255.254130.255.255.2552,097,150
25131.0.0.0/11131.0.0.1 to 131.31.255.254131.31.255.2552,097,150
26131.32.0.0/11131.32.0.1 to 131.63.255.254131.63.255.2552,097,150
27131.64.0.0/11131.64.0.1 to 131.95.255.254131.95.255.2552,097,150
28131.96.0.0/11131.96.0.1 to 131.127.255.254131.127.255.2552,097,150
29131.128.0.0/11131.128.0.1 to 131.159.255.254131.159.255.2552,097,150
30131.160.0.0/11131.160.0.1 to 131.191.255.254131.191.255.2552,097,150
31131.192.0.0/11131.192.0.1 to 131.223.255.254131.223.255.2552,097,150
32131.224.0.0/11131.224.0.1 to 131.255.255.254131.255.255.2552,097,150
33132.0.0.0/11132.0.0.1 to 132.31.255.254132.31.255.2552,097,150
34132.32.0.0/11132.32.0.1 to 132.63.255.254132.63.255.2552,097,150
35132.64.0.0/11132.64.0.1 to 132.95.255.254132.95.255.2552,097,150
36132.96.0.0/11132.96.0.1 to 132.127.255.254132.127.255.2552,097,150
37132.128.0.0/11132.128.0.1 to 132.159.255.254132.159.255.2552,097,150
38132.160.0.0/11132.160.0.1 to 132.191.255.254132.191.255.2552,097,150
39132.192.0.0/11132.192.0.1 to 132.223.255.254132.223.255.2552,097,150
40132.224.0.0/11132.224.0.1 to 132.255.255.254132.255.255.2552,097,150
41133.0.0.0/11133.0.0.1 to 133.31.255.254133.31.255.2552,097,150
42133.32.0.0/11133.32.0.1 to 133.63.255.254133.63.255.2552,097,150
43133.64.0.0/11133.64.0.1 to 133.95.255.254133.95.255.2552,097,150
44133.96.0.0/11133.96.0.1 to 133.127.255.254133.127.255.2552,097,150
45133.128.0.0/11133.128.0.1 to 133.159.255.254133.159.255.2552,097,150
46133.160.0.0/11133.160.0.1 to 133.191.255.254133.191.255.2552,097,150
47133.192.0.0/11133.192.0.1 to 133.223.255.254133.223.255.2552,097,150
48133.224.0.0/11133.224.0.1 to 133.255.255.254133.255.255.2552,097,150
49134.0.0.0/11134.0.0.1 to 134.31.255.254134.31.255.2552,097,150
50134.32.0.0/11134.32.0.1 to 134.63.255.254134.63.255.2552,097,150
51134.64.0.0/11134.64.0.1 to 134.95.255.254134.95.255.2552,097,150
52134.96.0.0/11134.96.0.1 to 134.127.255.254134.127.255.2552,097,150
53134.128.0.0/11134.128.0.1 to 134.159.255.254134.159.255.2552,097,150
54134.160.0.0/11134.160.0.1 to 134.191.255.254134.191.255.2552,097,150
55134.192.0.0/11134.192.0.1 to 134.223.255.254134.223.255.2552,097,150
56134.224.0.0/11134.224.0.1 to 134.255.255.254134.255.255.2552,097,150
57135.0.0.0/11135.0.0.1 to 135.31.255.254135.31.255.2552,097,150
58135.32.0.0/11135.32.0.1 to 135.63.255.254135.63.255.2552,097,150
59135.64.0.0/11135.64.0.1 to 135.95.255.254135.95.255.2552,097,150
60135.96.0.0/11135.96.0.1 to 135.127.255.254135.127.255.2552,097,150
61135.128.0.0/11135.128.0.1 to 135.159.255.254135.159.255.2552,097,150
62135.160.0.0/11135.160.0.1 to 135.191.255.254135.191.255.2552,097,150
63135.192.0.0/11135.192.0.1 to 135.223.255.254135.223.255.2552,097,150
64135.224.0.0/11135.224.0.1 to 135.255.255.254135.255.255.2552,097,150
65136.0.0.0/11136.0.0.1 to 136.31.255.254136.31.255.2552,097,150
66136.32.0.0/11136.32.0.1 to 136.63.255.254136.63.255.2552,097,150
67136.64.0.0/11136.64.0.1 to 136.95.255.254136.95.255.2552,097,150
68136.96.0.0/11136.96.0.1 to 136.127.255.254136.127.255.2552,097,150
69136.128.0.0/11136.128.0.1 to 136.159.255.254136.159.255.2552,097,150
70136.160.0.0/11136.160.0.1 to 136.191.255.254136.191.255.2552,097,150
71136.192.0.0/11136.192.0.1 to 136.223.255.254136.223.255.2552,097,150
72136.224.0.0/11136.224.0.1 to 136.255.255.254136.255.255.2552,097,150
73137.0.0.0/11137.0.0.1 to 137.31.255.254137.31.255.2552,097,150
74137.32.0.0/11137.32.0.1 to 137.63.255.254137.63.255.2552,097,150
75137.64.0.0/11137.64.0.1 to 137.95.255.254137.95.255.2552,097,150
76137.96.0.0/11137.96.0.1 to 137.127.255.254137.127.255.2552,097,150
77137.128.0.0/11137.128.0.1 to 137.159.255.254137.159.255.2552,097,150
78137.160.0.0/11137.160.0.1 to 137.191.255.254137.191.255.2552,097,150
79137.192.0.0/11137.192.0.1 to 137.223.255.254137.223.255.2552,097,150
80137.224.0.0/11137.224.0.1 to 137.255.255.254137.255.255.2552,097,150
81138.0.0.0/11138.0.0.1 to 138.31.255.254138.31.255.2552,097,150
82138.32.0.0/11138.32.0.1 to 138.63.255.254138.63.255.2552,097,150
83138.64.0.0/11138.64.0.1 to 138.95.255.254138.95.255.2552,097,150
84138.96.0.0/11138.96.0.1 to 138.127.255.254138.127.255.2552,097,150
85138.128.0.0/11138.128.0.1 to 138.159.255.254138.159.255.2552,097,150
86138.160.0.0/11138.160.0.1 to 138.191.255.254138.191.255.2552,097,150
87138.192.0.0/11138.192.0.1 to 138.223.255.254138.223.255.2552,097,150
88138.224.0.0/11138.224.0.1 to 138.255.255.254138.255.255.2552,097,150
89139.0.0.0/11139.0.0.1 to 139.31.255.254139.31.255.2552,097,150
90139.32.0.0/11139.32.0.1 to 139.63.255.254139.63.255.2552,097,150
91139.64.0.0/11139.64.0.1 to 139.95.255.254139.95.255.2552,097,150
92139.96.0.0/11139.96.0.1 to 139.127.255.254139.127.255.2552,097,150
93139.128.0.0/11139.128.0.1 to 139.159.255.254139.159.255.2552,097,150
94139.160.0.0/11139.160.0.1 to 139.191.255.254139.191.255.2552,097,150
95139.192.0.0/11139.192.0.1 to 139.223.255.254139.223.255.2552,097,150
96139.224.0.0/11139.224.0.1 to 139.255.255.254139.255.255.2552,097,150
97140.0.0.0/11140.0.0.1 to 140.31.255.254140.31.255.2552,097,150
98140.32.0.0/11140.32.0.1 to 140.63.255.254140.63.255.2552,097,150
99140.64.0.0/11140.64.0.1 to 140.95.255.254140.95.255.2552,097,150
100140.96.0.0/11140.96.0.1 to 140.127.255.254140.127.255.2552,097,150
101140.128.0.0/11140.128.0.1 to 140.159.255.254140.159.255.2552,097,150
102140.160.0.0/11140.160.0.1 to 140.191.255.254140.191.255.2552,097,150
103140.192.0.0/11140.192.0.1 to 140.223.255.254140.223.255.2552,097,150
104140.224.0.0/11140.224.0.1 to 140.255.255.254140.255.255.2552,097,150
105141.0.0.0/11141.0.0.1 to 141.31.255.254141.31.255.2552,097,150
106141.32.0.0/11141.32.0.1 to 141.63.255.254141.63.255.2552,097,150
107141.64.0.0/11141.64.0.1 to 141.95.255.254141.95.255.2552,097,150
108141.96.0.0/11141.96.0.1 to 141.127.255.254141.127.255.2552,097,150
109141.128.0.0/11141.128.0.1 to 141.159.255.254141.159.255.2552,097,150
110141.160.0.0/11141.160.0.1 to 141.191.255.254141.191.255.2552,097,150
111141.192.0.0/11141.192.0.1 to 141.223.255.254141.223.255.2552,097,150
112141.224.0.0/11141.224.0.1 to 141.255.255.254141.255.255.2552,097,150
113142.0.0.0/11142.0.0.1 to 142.31.255.254142.31.255.2552,097,150
114142.32.0.0/11142.32.0.1 to 142.63.255.254142.63.255.2552,097,150
115142.64.0.0/11142.64.0.1 to 142.95.255.254142.95.255.2552,097,150
116142.96.0.0/11142.96.0.1 to 142.127.255.254142.127.255.2552,097,150
117142.128.0.0/11142.128.0.1 to 142.159.255.254142.159.255.2552,097,150
118142.160.0.0/11142.160.0.1 to 142.191.255.254142.191.255.2552,097,150
119142.192.0.0/11142.192.0.1 to 142.223.255.254142.223.255.2552,097,150
120142.224.0.0/11142.224.0.1 to 142.255.255.254142.255.255.2552,097,150
121143.0.0.0/11143.0.0.1 to 143.31.255.254143.31.255.2552,097,150
122143.32.0.0/11143.32.0.1 to 143.63.255.254143.63.255.2552,097,150
123143.64.0.0/11143.64.0.1 to 143.95.255.254143.95.255.2552,097,150
124143.96.0.0/11143.96.0.1 to 143.127.255.254143.127.255.2552,097,150
125143.128.0.0/11143.128.0.1 to 143.159.255.254143.159.255.2552,097,150
126143.160.0.0/11143.160.0.1 to 143.191.255.254143.191.255.2552,097,150
127143.192.0.0/11143.192.0.1 to 143.223.255.254143.223.255.2552,097,150
128143.224.0.0/11143.224.0.1 to 143.255.255.254143.255.255.2552,097,150
129144.0.0.0/11144.0.0.1 to 144.31.255.254144.31.255.2552,097,150
130144.32.0.0/11144.32.0.1 to 144.63.255.254144.63.255.2552,097,150
131144.64.0.0/11144.64.0.1 to 144.95.255.254144.95.255.2552,097,150
132144.96.0.0/11144.96.0.1 to 144.127.255.254144.127.255.2552,097,150
133144.128.0.0/11144.128.0.1 to 144.159.255.254144.159.255.2552,097,150
134144.160.0.0/11144.160.0.1 to 144.191.255.254144.191.255.2552,097,150
135144.192.0.0/11144.192.0.1 to 144.223.255.254144.223.255.2552,097,150
136144.224.0.0/11144.224.0.1 to 144.255.255.254144.255.255.2552,097,150
137145.0.0.0/11145.0.0.1 to 145.31.255.254145.31.255.2552,097,150
138145.32.0.0/11145.32.0.1 to 145.63.255.254145.63.255.2552,097,150
139145.64.0.0/11145.64.0.1 to 145.95.255.254145.95.255.2552,097,150
140145.96.0.0/11145.96.0.1 to 145.127.255.254145.127.255.2552,097,150
141145.128.0.0/11145.128.0.1 to 145.159.255.254145.159.255.2552,097,150
142145.160.0.0/11145.160.0.1 to 145.191.255.254145.191.255.2552,097,150
143145.192.0.0/11145.192.0.1 to 145.223.255.254145.223.255.2552,097,150
144145.224.0.0/11145.224.0.1 to 145.255.255.254145.255.255.2552,097,150
145146.0.0.0/11146.0.0.1 to 146.31.255.254146.31.255.2552,097,150
146146.32.0.0/11146.32.0.1 to 146.63.255.254146.63.255.2552,097,150
147146.64.0.0/11146.64.0.1 to 146.95.255.254146.95.255.2552,097,150
148146.96.0.0/11146.96.0.1 to 146.127.255.254146.127.255.2552,097,150
149146.128.0.0/11146.128.0.1 to 146.159.255.254146.159.255.2552,097,150
150146.160.0.0/11146.160.0.1 to 146.191.255.254146.191.255.2552,097,150
151146.192.0.0/11146.192.0.1 to 146.223.255.254146.223.255.2552,097,150
152146.224.0.0/11146.224.0.1 to 146.255.255.254146.255.255.2552,097,150
153147.0.0.0/11147.0.0.1 to 147.31.255.254147.31.255.2552,097,150
154147.32.0.0/11147.32.0.1 to 147.63.255.254147.63.255.2552,097,150
155147.64.0.0/11147.64.0.1 to 147.95.255.254147.95.255.2552,097,150
156147.96.0.0/11147.96.0.1 to 147.127.255.254147.127.255.2552,097,150
157147.128.0.0/11147.128.0.1 to 147.159.255.254147.159.255.2552,097,150
158147.160.0.0/11147.160.0.1 to 147.191.255.254147.191.255.2552,097,150
159147.192.0.0/11147.192.0.1 to 147.223.255.254147.223.255.2552,097,150
160147.224.0.0/11147.224.0.1 to 147.255.255.254147.255.255.2552,097,150
161148.0.0.0/11148.0.0.1 to 148.31.255.254148.31.255.2552,097,150
162148.32.0.0/11148.32.0.1 to 148.63.255.254148.63.255.2552,097,150
163148.64.0.0/11148.64.0.1 to 148.95.255.254148.95.255.2552,097,150
164148.96.0.0/11148.96.0.1 to 148.127.255.254148.127.255.2552,097,150
165148.128.0.0/11148.128.0.1 to 148.159.255.254148.159.255.2552,097,150
166148.160.0.0/11148.160.0.1 to 148.191.255.254148.191.255.2552,097,150
167148.192.0.0/11148.192.0.1 to 148.223.255.254148.223.255.2552,097,150
168148.224.0.0/11148.224.0.1 to 148.255.255.254148.255.255.2552,097,150
169149.0.0.0/11149.0.0.1 to 149.31.255.254149.31.255.2552,097,150
170149.32.0.0/11149.32.0.1 to 149.63.255.254149.63.255.2552,097,150
171149.64.0.0/11149.64.0.1 to 149.95.255.254149.95.255.2552,097,150
172149.96.0.0/11149.96.0.1 to 149.127.255.254149.127.255.2552,097,150
173149.128.0.0/11149.128.0.1 to 149.159.255.254149.159.255.2552,097,150
174149.160.0.0/11149.160.0.1 to 149.191.255.254149.191.255.2552,097,150
175149.192.0.0/11149.192.0.1 to 149.223.255.254149.223.255.2552,097,150
176149.224.0.0/11149.224.0.1 to 149.255.255.254149.255.255.2552,097,150
177150.0.0.0/11150.0.0.1 to 150.31.255.254150.31.255.2552,097,150
178150.32.0.0/11150.32.0.1 to 150.63.255.254150.63.255.2552,097,150
179150.64.0.0/11150.64.0.1 to 150.95.255.254150.95.255.2552,097,150
180150.96.0.0/11150.96.0.1 to 150.127.255.254150.127.255.2552,097,150
181150.128.0.0/11150.128.0.1 to 150.159.255.254150.159.255.2552,097,150
182150.160.0.0/11150.160.0.1 to 150.191.255.254150.191.255.2552,097,150
183150.192.0.0/11150.192.0.1 to 150.223.255.254150.223.255.2552,097,150
184150.224.0.0/11150.224.0.1 to 150.255.255.254150.255.255.2552,097,150
185151.0.0.0/11151.0.0.1 to 151.31.255.254151.31.255.2552,097,150
186151.32.0.0/11151.32.0.1 to 151.63.255.254151.63.255.2552,097,150
187151.64.0.0/11151.64.0.1 to 151.95.255.254151.95.255.2552,097,150
188151.96.0.0/11151.96.0.1 to 151.127.255.254151.127.255.2552,097,150
189151.128.0.0/11151.128.0.1 to 151.159.255.254151.159.255.2552,097,150
190151.160.0.0/11151.160.0.1 to 151.191.255.254151.191.255.2552,097,150
191151.192.0.0/11151.192.0.1 to 151.223.255.254151.223.255.2552,097,150
192151.224.0.0/11151.224.0.1 to 151.255.255.254151.255.255.2552,097,150
193152.0.0.0/11152.0.0.1 to 152.31.255.254152.31.255.2552,097,150
194152.32.0.0/11152.32.0.1 to 152.63.255.254152.63.255.2552,097,150
195152.64.0.0/11152.64.0.1 to 152.95.255.254152.95.255.2552,097,150
196152.96.0.0/11152.96.0.1 to 152.127.255.254152.127.255.2552,097,150
197152.128.0.0/11152.128.0.1 to 152.159.255.254152.159.255.2552,097,150
198152.160.0.0/11152.160.0.1 to 152.191.255.254152.191.255.2552,097,150
199152.192.0.0/11152.192.0.1 to 152.223.255.254152.223.255.2552,097,150
200152.224.0.0/11152.224.0.1 to 152.255.255.254152.255.255.2552,097,150
201153.0.0.0/11153.0.0.1 to 153.31.255.254153.31.255.2552,097,150
202153.32.0.0/11153.32.0.1 to 153.63.255.254153.63.255.2552,097,150
203153.64.0.0/11153.64.0.1 to 153.95.255.254153.95.255.2552,097,150
204153.96.0.0/11153.96.0.1 to 153.127.255.254153.127.255.2552,097,150
205153.128.0.0/11153.128.0.1 to 153.159.255.254153.159.255.2552,097,150
206153.160.0.0/11153.160.0.1 to 153.191.255.254153.191.255.2552,097,150
207153.192.0.0/11153.192.0.1 to 153.223.255.254153.223.255.2552,097,150
208153.224.0.0/11153.224.0.1 to 153.255.255.254153.255.255.2552,097,150
209154.0.0.0/11154.0.0.1 to 154.31.255.254154.31.255.2552,097,150
210154.32.0.0/11154.32.0.1 to 154.63.255.254154.63.255.2552,097,150
211154.64.0.0/11154.64.0.1 to 154.95.255.254154.95.255.2552,097,150
212154.96.0.0/11154.96.0.1 to 154.127.255.254154.127.255.2552,097,150
213154.128.0.0/11154.128.0.1 to 154.159.255.254154.159.255.2552,097,150
214154.160.0.0/11154.160.0.1 to 154.191.255.254154.191.255.2552,097,150
215154.192.0.0/11154.192.0.1 to 154.223.255.254154.223.255.2552,097,150
216154.224.0.0/11154.224.0.1 to 154.255.255.254154.255.255.2552,097,150
217155.0.0.0/11155.0.0.1 to 155.31.255.254155.31.255.2552,097,150
218155.32.0.0/11155.32.0.1 to 155.63.255.254155.63.255.2552,097,150
219155.64.0.0/11155.64.0.1 to 155.95.255.254155.95.255.2552,097,150
220155.96.0.0/11155.96.0.1 to 155.127.255.254155.127.255.2552,097,150
221155.128.0.0/11155.128.0.1 to 155.159.255.254155.159.255.2552,097,150
222155.160.0.0/11155.160.0.1 to 155.191.255.254155.191.255.2552,097,150
223155.192.0.0/11155.192.0.1 to 155.223.255.254155.223.255.2552,097,150
224155.224.0.0/11155.224.0.1 to 155.255.255.254155.255.255.2552,097,150
225156.0.0.0/11156.0.0.1 to 156.31.255.254156.31.255.2552,097,150
226156.32.0.0/11156.32.0.1 to 156.63.255.254156.63.255.2552,097,150
227156.64.0.0/11156.64.0.1 to 156.95.255.254156.95.255.2552,097,150
228156.96.0.0/11156.96.0.1 to 156.127.255.254156.127.255.2552,097,150
229156.128.0.0/11156.128.0.1 to 156.159.255.254156.159.255.2552,097,150
230156.160.0.0/11156.160.0.1 to 156.191.255.254156.191.255.2552,097,150
231156.192.0.0/11156.192.0.1 to 156.223.255.254156.223.255.2552,097,150
232156.224.0.0/11156.224.0.1 to 156.255.255.254156.255.255.2552,097,150
233157.0.0.0/11157.0.0.1 to 157.31.255.254157.31.255.2552,097,150
234157.32.0.0/11157.32.0.1 to 157.63.255.254157.63.255.2552,097,150
235157.64.0.0/11157.64.0.1 to 157.95.255.254157.95.255.2552,097,150
236157.96.0.0/11157.96.0.1 to 157.127.255.254157.127.255.2552,097,150
237157.128.0.0/11157.128.0.1 to 157.159.255.254157.159.255.2552,097,150
238157.160.0.0/11157.160.0.1 to 157.191.255.254157.191.255.2552,097,150
239157.192.0.0/11157.192.0.1 to 157.223.255.254157.223.255.2552,097,150
240157.224.0.0/11157.224.0.1 to 157.255.255.254157.255.255.2552,097,150
241158.0.0.0/11158.0.0.1 to 158.31.255.254158.31.255.2552,097,150
242158.32.0.0/11158.32.0.1 to 158.63.255.254158.63.255.2552,097,150
243158.64.0.0/11158.64.0.1 to 158.95.255.254158.95.255.2552,097,150
244158.96.0.0/11158.96.0.1 to 158.127.255.254158.127.255.2552,097,150
245158.128.0.0/11158.128.0.1 to 158.159.255.254158.159.255.2552,097,150
246158.160.0.0/11158.160.0.1 to 158.191.255.254158.191.255.2552,097,150
247158.192.0.0/11158.192.0.1 to 158.223.255.254158.223.255.2552,097,150
248158.224.0.0/11158.224.0.1 to 158.255.255.254158.255.255.2552,097,150
249159.0.0.0/11159.0.0.1 to 159.31.255.254159.31.255.2552,097,150
250159.32.0.0/11159.32.0.1 to 159.63.255.254159.63.255.2552,097,150
251159.64.0.0/11159.64.0.1 to 159.95.255.254159.95.255.2552,097,150
252159.96.0.0/11159.96.0.1 to 159.127.255.254159.127.255.2552,097,150
253159.128.0.0/11159.128.0.1 to 159.159.255.254159.159.255.2552,097,150
254159.160.0.0/11159.160.0.1 to 159.191.255.254159.191.255.2552,097,150
255159.192.0.0/11159.192.0.1 to 159.223.255.254159.223.255.2552,097,150
256159.224.0.0/11159.224.0.1 to 159.255.255.254159.255.255.2552,097,150

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses